// Copyright 1994 by Jon Dart
// epdstat.h : header file
//
#ifndef __EPDSTAT_H__
#define __EPDSTAT_H__

/////////////////////////////////////////////////////////////////////////////
// EpdStatusDialog dialog

#include <fstream.h>
#include "board.h"
#include "resource.h"
#include "arasavw.h"
#ifndef __AFXWIN_H__
#include <afxwin.h>
#endif

class EpdStatusDialog : public CDialog
{
// Construction
public:
	EpdStatusDialog(CWnd* pParent, CString &filename, ifstream &strm,
		Board &current_board, BOOL annotate);

// Dialog Data
	//{{AFX_DATA(EpdStatusDialog)
	enum { IDD = IDD_EPD_STATUS };
	CString	m_EpdFile;
	CString	m_EpdID;
	CString	m_EpdRecord;
	//}}AFX_DATA

// Implementation
protected:
        BOOL OnInitDialog();
		BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(EpdStatusDialog)
	virtual void OnCancel();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
		
	ifstream &ifs;
	Board &current_board;
	CArasanView *parent;
        BOOL running, cancelled, do_annotation;		
        CString pathName; // full name of input file
};
#endif
